<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Datamodul;


class HonorarAbnahmeEintrag extends \Datamodul
{
  public const STATUS_DOZENT_EINSEHBAR = 0;
  public const STATUS_DOZENT_REKLAMIERT = 1;
  public const STATUS_DOZENT_AKZEPTIERT = 2;
  public const STATUS_MITARBEITER_FREIGEGEBEN = 3;
  public const STATUS_MITARBEITER_ABGENOMMEN = 4;
  public const STATUS_MITARBEITER_ABGERECHNET = 5;

  public $hon_abnahme_id;
  public $status;
  public $timestamp;
  public $user_;
  public $remark;

  
  public $honorarAbnahmeReklamationen = array();

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'timestamp':
        return \DatamodulVarType::TYPE_DATETIME;
      case 'id':
      case 'hon_abnahme_id':
      case 'status':
        return \DatamodulVarType::TYPE_INT;
      case 'honorarAbnahmeReklamationen':
        return \DatamodulVarType::TYPE_ARRAY;
    }
  }

  public function getDmzVarnameMappingForReceivingData(): array
  {
    return array(
      'HonorarAbnahmeId' => 'hon_abnahme_id',
      'User' => 'user_'
    );
  }
}